using System;
using System.Drawing;
using Syncfusion.Windows.Forms.Diagram;

namespace Dynamic_Link
{
	/// <summary>
	/// Description of a symple symbol
	/// </summary>
	public class LimeRectangle:Syncfusion.Windows.Forms.Diagram.Symbol

	{
		private Syncfusion.Windows.Forms.Diagram.Rectangle rect=null;
		private Syncfusion.Windows.Forms.Diagram.Label lbl=null;
		

		public LimeRectangle()
		{			
			//Add the Outer rectangle
			this.rect=new Syncfusion.Windows.Forms.Diagram.Rectangle(50,60,120,70);
			rect.Name="Rectangle";
			rect.FillStyle.Color=System.Drawing.Color.Lime;
			rect.FillStyle.ColorAlphaFactor=255;
			rect.FillStyle.GradientAngle=270;
			this.AppendChild(rect);

			//Set the points for the Ports
			PointF pt1 = new PointF(rect.X + rect.Width, rect.Y + rect.Height / 2);
			PointF pt2 = new PointF(rect.X + rect.Width, (rect.Y + rect.Height / 2)-20);
			PointF pt3 = new PointF(rect.X + rect.Width, rect.Y + rect.Height / 2+20);
			CirclePort port1 = new CirclePort(pt1);
			CirclePort port2 = new CirclePort(pt2);
			CirclePort port3 = new CirclePort(pt3);

			//Add Ports
			this.Ports.Add(port1);
			this.Ports.Add(port2);
			this.Ports.Add(port3);
		   
			port1.Location = pt1;
			port2.Location = pt2;
			port3.Location = pt3;

			//SymbolLabel1
			SymbolLabel lbl1 = new SymbolLabel();
			lbl1.Text = "Port0";
			lbl1.Anchor = BoxPosition.TopRight;
			lbl1.Location= new PointF(pt2.X,pt2.Y);
			this.AppendChild(lbl1);

			//SymbolLabel2
			SymbolLabel lbl2 = new SymbolLabel();
			lbl2.Text = "Port1";
			lbl2.Anchor = BoxPosition.TopRight;
			lbl2.OffsetY=25;
			lbl2.Location= new PointF(pt1.X,pt1.Y);
			this.AppendChild(lbl2);

			//SymbolLabel3
			SymbolLabel lbl3 = new SymbolLabel();
			lbl3.Text = "Port2";
			lbl3.Anchor = BoxPosition.TopRight;
			lbl3.AdjustToContainerBounds = true;
			lbl3.OffsetY=50;
			lbl3.Location= new PointF(pt3.X,pt3.Y);
			this.AppendChild(lbl3);
				
					
		}
		
	}
}
